RESTinio

Public Member Functions | Private Attributes | Friends | List of all members
restinio::file_meta_t Class Reference

Meta data of the file. More...

`#include <sendfile.hpp>`

## Public Member Functions
| file_meta_t () noexcept
| file_meta_t (file_size_t file_total_size, std::chrono::system_clock::time_point last_modified_at) noexcept
file_size_t | file_total_size () const noexcept
auto | last_modified_at () const noexcept

## Private Attributes
file_size_t | m_file_total_size { 0 }
| Total file size. More...
std::chrono::system_clock::time_point | m_last_modified_at {}
| Last modification date. More...

## Friends
void | swap (file_meta_t &r, file_meta_t &l) noexcept

## Detailed Description

Meta data of the file.

Definition at line 182 of file sendfile.hpp.

## Constructor & Destructor Documentation

## ◆ file_meta_t() [1/2]

restinio::file_meta_t::file_meta_t | ( |  | ) |
| inline noexcept

Definition at line 192 of file sendfile.hpp.

## ◆ file_meta_t() [2/2]

restinio::file_meta_t::file_meta_t | ( | file_size_t | file_total_size,
|  | std::chrono::system_clock::time_point | last_modified_at
| ) |  |
| inline noexcept

Definition at line 195 of file sendfile.hpp.

## Member Function Documentation

## ◆ file_total_size()

file_size_t restinio::file_meta_t::file_total_size | ( |  | ) | const
| inline noexcept

Definition at line 202 of file sendfile.hpp.

## ◆ last_modified_at()

auto restinio::file_meta_t::last_modified_at | ( |  | ) | const
| inline noexcept

Definition at line 204 of file sendfile.hpp.

## Friends And Related Function Documentation

## ◆ swap

void swap | ( | file_meta_t & | r,
|  | file_meta_t & | l
| ) |  |
| friend

Definition at line 186 of file sendfile.hpp.

## Member Data Documentation

## ◆ m_file_total_size

file_size_t restinio::file_meta_t::m_file_total_size { 0 }
| private

Total file size.

Definition at line 208 of file sendfile.hpp.

## ◆ m_last_modified_at

std::chrono::system_clock::time_point restinio::file_meta_t::m_last_modified_at {}
| private

Last modification date.

Definition at line 211 of file sendfile.hpp.

The documentation for this class was generated from the following file:

- restinio/sendfile.hpp